 /*
 * file      : libbasebuild.h
 * project   : BaseBuild
 * with      : Gtk-2
 *
 * copyright : (C) 2010 - 2012 by Claude Bulin
 *
 * BaseBuild - Creation d'une base de programmation en langage C de type GNU avec les autotools
 * GNU General Public License
 * 
 * This file is part of BASEBUILD.
 * 
 * BASEBUILD is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 * 
 * BASEBUILD is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with BASEBUILD.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef __libbasebuild_h__
#define __libbasebuild_h__ 1

// /usr/include/gtk-2.0/gdk/gdkkeysyms.h
typedef struct {
	gboolean	BoolVerboseMode;
} OPTIONS_COMMAND_LINE;

extern OPTIONS_COMMAND_LINE OptionsCommandLine;


// UTILS.C
// 
gboolean 	libutils_test_file_exist (gchar *File);
gboolean 	libutils_test_dir_exist (gchar *File);
void     	libutils_set_default_icone_to_win (GtkWidget *win);
gboolean 	libutils_find_file (gchar *p_find_file);
size_t		libutils_get_size_file (char *PathName);
gboolean	libutils_copy_src_to_dest (gchar *filesrc, gchar *filedest);
gboolean	libutils_test_write( gchar *path );
gchar		*libutils_string_toupper( gchar *p_str );

// COMBO.C
// 
void    	libcombo_remove (void);
void    	libcombo_alloc (GtkComboBox *p_combo);
void		libcombo_remove_options (GtkComboBox *p_combo);

// XDG.C
// 
void		xdg_print_list_config_path( void );
void		xdg_print_list_data_path( void );
gchar		*xdg_search_config_xdg( void );
gchar		*xdg_search_data_xdg( gchar *NameFile );


#endif

