 /*
 * file      : proto.h
 * project   : BaseBuild
 * with      : Gtk-2
 *
 * copyright : (C) 2010 - 2012 by Claude Bulin
 *
 * BaseBuild - Creation d'une base de programmation en langage C de type GNU avec les autotools
 * GNU General Public License
 * 
 * This file is part of BASEBUILD.
 * 
 * BASEBUILD is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 * 
 * BASEBUILD is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with BASEBUILD.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef __proto_h__
#define __proto_h__ 1

typedef struct {
	GString		*GstrMain;
	GString		*GstrProto;
	GString		*GstrTranslate;
	gboolean	BoolTranslateOk;
	gchar		*PathNameFileGlade;
	gboolean	BoolOk;
} VAR_PROTO;

//
// PROTO.C
//

gboolean	Proto_init (gchar *PathnameFileGlade);
void		Proto_remove (void);
void		Proto_print (void);
gboolean	Proto_init_is_ok (void);
GString		*Proto_get_buf_main (void);
gchar		*Proto_get_id (void);

//
// PROTO_TRANSLATE.C
//

gboolean	ProtoTranslate_init( gchar *PathnameFileGlade );
void		ProtoTranslate_to_textview( void );
gboolean	ProtoTranslate_contains_accents( void );
void		wiew_set_text_proto( gchar *p_buffer );

#endif

