 /*
 * file      : view.c
 * project   : BaseBuild
 * with      : Gtk-2
 *
 * copyright : (C) 2010 - 2012 by Claude Bulin
 *
 * BaseBuild - Creation d'une base de programmation en langage C de type GNU avec les autotools
 * GNU General Public License
 * 
 * This file is part of BASEBUILD.
 * 
 * BASEBUILD is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 * 
 * BASEBUILD is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with BASEBUILD.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifdef HAVE_CONFIG_H
	#include "../config.h"
#endif

#ifdef ENABLE_NLS
	#include <libintl.h>
	#define _(String) gettext (String)
#endif

#include <gtk/gtk.h>

#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <unistd.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <stdlib.h>

#include "global.h"
#include "callbacks.h"
#include "view.h"





// -------------------------------
// TEXTVIEW PROJET
// -------------------------------



// -------------------------------
// TEXTVIEW TRANSLATE
// -------------------------------

// PLACER DU TEXTE DANS LE TEXTVIEW TRANSLATE
// 
void wiew_set_text_translate (gchar *p_buffer)
{
	GtkTextBuffer *Buf = NULL;
	GtkTextIter    Start;
	GtkTextIter    End;
	
	// CLEAR BUFFER TEXTVIEW
	Buf = gtk_text_view_get_buffer (GTK_TEXT_VIEW (GLADE_GET_OBJECT("textview_traduction")));
	gtk_text_buffer_get_bounds (Buf, &Start, &End);
	gtk_text_buffer_delete (Buf, &Start, &End);
	
	// PLACER DU TEXTE DANS LE TEXTVIEW
	if (GLADE_GET_OBJECT("textview_traduction") != NULL && p_buffer != NULL) {
		Buf = gtk_text_view_get_buffer (GTK_TEXT_VIEW (GLADE_GET_OBJECT("textview_traduction")));
		gtk_text_buffer_get_bounds (Buf, &Start, &End);
		gtk_text_buffer_place_cursor (Buf, &End);
		gtk_text_buffer_insert_at_cursor (Buf, p_buffer, -1);
	}
}

// textview_proto
// PLACER DU TEXTE DANS LE TEXTVIEW TRANSLATE
// 
void wiew_set_text_proto (gchar *p_buffer)
{
	GtkTextBuffer *Buf = NULL;
	GtkTextIter    Start;
	GtkTextIter    End;
	
	// CLEAR BUFFER TEXTVIEW
	Buf = gtk_text_view_get_buffer (GTK_TEXT_VIEW (GLADE_GET_OBJECT("textview_proto")));
	gtk_text_buffer_get_bounds (Buf, &Start, &End);
	gtk_text_buffer_delete (Buf, &Start, &End);
	
	// PLACER DU TEXTE DANS LE TEXTVIEW
	if (GLADE_GET_OBJECT("textview_proto") != NULL && p_buffer != NULL) {
		Buf = gtk_text_view_get_buffer (GTK_TEXT_VIEW (GLADE_GET_OBJECT("textview_proto")));
		gtk_text_buffer_get_bounds (Buf, &Start, &End);
		gtk_text_buffer_place_cursor (Buf, &End);
		gtk_text_buffer_insert_at_cursor (Buf, p_buffer, -1);
	}
}











