 /*
 * file      : win_about.h
 * project   : BaseBuild
 * with      : Gtk-2
 *
 * copyright : (C) 2010 - 2011 by Claude Bulin
 *
 * BaseBuild - Creation d'une base de programmation en langage C de type GNU avec les autotools
 * GNU General Public License
 * 
 * This file is part of BASEBUILD.
 * 
 * BASEBUILD is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 * 
 * BASEBUILD is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with BASEBUILD.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifdef HAVE_CONFIG_H
	#include "../config.h"
#endif

#ifdef ENABLE_NLS
	#include <libintl.h>
	#define _(String) gettext (String)
#endif

#include <gtk/gtk.h>

#include "global.h"
#include "../lib_basebuild/libbasebuild.h"
#include "win_about.h"



GtkWidget	*WindAbout = NULL;
/*
GdkPixbuf	*about_pixbuf = NULL;

const gchar *authors[] = { \
			"Claude BULIN\n",
			NULL
			};

const gchar *artists[] = { \
			"Claude BULIN\n",
			NULL
			};

const gchar translators[] = \
			"Claude BULIN\n";




// 
// 
GdkPixbuf *WinAbout_get_icon (void)
{
	GtkIconTheme 	*icon_theme = NULL;
	GdkPixbuf	*ret = NULL;
	GError		*error = NULL;

	icon_theme = gtk_icon_theme_get_default ();
	ret = gtk_icon_theme_load_icon (icon_theme, "basebuild", 32, 0, &error);
	return ret;
}
// 
// 
void WinAbout_hide (void)
{
	gtk_widget_hide (WindAbout);
}
// 
// 
void WinAbout_open (void)
{
	GList	*list = NULL;
	gchar	*license = g_strdup (_(
		"License 2010, Claude Bulin"
		"\n\n"
		"This program is free software; you can redistribute it and/or modify "
		"it under the terms of the GNU General Public License as published by "
		"the Free Software Foundation; either version 2 of the License, or "
		"(at your option) any later version."
		"\n\n"
		"This program is distributed in the hope that it will be useful, "
		"but WITHOUT ANY WARRANTY; without even the implied warranty of "
		"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the "
		"GNU General Public License for more details."
		"\n\n"
		"You should have received a copy of the GNU General Public License "
		"along with this program; if not, write to the Free Software "
		"Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA."
		"\n\n"
		"------------"
		"\n\n"
		"Permission  est  donnee  a  tout  individu  ou  institution d'utiliser, "
		"copier, ou redistribuer ce logiciel des  lors  que  tous  les  fichiers "
		"d'origine  sont  inclus,  que ce n'est pas vendu pour des benefices, et "
		"que cette notice sur le copyright est incluse."
		"\n\n"
		"Ce programme est un logiciel libre; vous pouvez le  redistribuer  et/ou "
		"le modifier sous les termes de la licence GNU GPL telle que publiee par "
		"la Free Software Foundation; soit la version 2, soit  (a  votre  conve"
		"nance) toute version ulterieure."
		"\n\n"
		"Ce  programme  est  distribue dans l'espoir qu'il soit utile, mais SANS "
		"AUCUNE GARANTIE; meme sans la garantie implicite  de  UTILISABILITE  ou "
		"d'ADAPTATION  A  UN USAGE PRECIS. Lisez la licence GNU GPL pour plus de "
		"details."
		));
	
	if (NULL == WindAbout) {
		if (NULL == about_pixbuf)
			about_pixbuf = WinAbout_get_icon ();
			
		WindAbout = gtk_about_dialog_new ();

		gtk_window_set_transient_for (GTK_WINDOW(WindAbout), GTK_WINDOW(WindMain));
		gtk_window_set_modal (GTK_WINDOW (WindAbout), TRUE);

		gtk_about_dialog_set_name (GTK_ABOUT_DIALOG(WindAbout), PACKAGE);
		gtk_about_dialog_set_version (GTK_ABOUT_DIALOG(WindAbout), VERSION);
		gtk_about_dialog_set_copyright (GTK_ABOUT_DIALOG(WindAbout), "\n© 2010 by BULIN Claude (GPL)");
		gtk_about_dialog_set_comments (GTK_ABOUT_DIALOG(WindAbout), _("\nCreation d'une base de programmation en\nlangage C de type GNU avec les autotools."));
		gtk_about_dialog_set_license (GTK_ABOUT_DIALOG(WindAbout), license);
		gtk_about_dialog_set_website_label (GTK_ABOUT_DIALOG(WindAbout), "http://www.tuxfamily.org");
		gtk_about_dialog_set_website (GTK_ABOUT_DIALOG(WindAbout), "http://www.tuxfamily.org/");
		if (NULL != about_pixbuf)
			gtk_about_dialog_set_logo (GTK_ABOUT_DIALOG(WindAbout), about_pixbuf);
		gtk_about_dialog_set_wrap_license (GTK_ABOUT_DIALOG(WindAbout), TRUE);
		gtk_about_dialog_set_authors (GTK_ABOUT_DIALOG(WindAbout), authors);
		gtk_about_dialog_set_artists (GTK_ABOUT_DIALOG(WindAbout), artists);
		gtk_about_dialog_set_translator_credits (GTK_ABOUT_DIALOG(WindAbout), translators);
		g_signal_connect (G_OBJECT(WindAbout), "destroy_event", G_CALLBACK(WinAbout_hide), NULL);
		g_signal_connect (G_OBJECT(WindAbout), "delete_event", G_CALLBACK(WinAbout_hide), NULL);
		list = gtk_container_get_children (GTK_CONTAINER((GTK_DIALOG(WindAbout))->action_area));
		list = list->next;
		list = list->next;
		g_signal_connect (G_OBJECT(list->data), "clicked", G_CALLBACK(WinAbout_hide), NULL);
	}
	gtk_widget_show (WindAbout);
	g_free (license);
	license = NULL;
}

*/
void on_aboutdialog_basebuild_response (void)
{
	gtk_widget_hide (WindAbout);
}
gboolean on_aboutdialog_basebuild_delete_event (GtkWidget *widget, GdkEvent *event, gpointer user_data)
{
	gtk_widget_hide (WindAbout);
	return TRUE;
}
gboolean on_aboutdialog_basebuild_destroy_event (GtkWidget *widget, GdkEvent *event, gpointer user_data)
{
	gtk_widget_hide (WindAbout);
	return TRUE;
}
void WinAbout_open (void)
{
	if (NULL == WindAbout) {			
		WindAbout = GTK_WIDGET(GLADE_GET_OBJECT("aboutdialog_basebuild"));
		gtk_builder_connect_signals (GtkBuilderProjet, NULL);
		gtk_window_set_transient_for (GTK_WINDOW(WindAbout), GTK_WINDOW(WindMain));
		gtk_window_set_modal (GTK_WINDOW (WindAbout), TRUE);
		libutils_set_default_icone_to_win (WindAbout);
	}
	gtk_widget_show (WindAbout);
	
}










